This is the mail archive of the cygwin-apps mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: setup.hints which mention Base in their category

On Wed, Jun 06, 2007 at 09:10:14PM -0700, Brian Dessent wrote:
>Christopher Faylor wrote:
>> Ok, I cleaned up all of the above.
>As a further optimization, we should move:
>to category _obsolete because they are not used by anything. 
>libreadline5 is almost-but-not-quite obsolete, it is still in use by
>It looks like we can also clean up references to the ancient unversioned
>'libintl' package.  There are only three packages that call for this
>All three contain the strange combination of both libintl and libintl1
>in the "requires", which looks wrong.

I checked every binary under
>/usr/bin and /usr/X11R6/bin and none of them depend on the unversioned
>cygintl.dll.  So, libintl can be moved to _obsolete too, and the three
>"requires" above need to be edited to reflect the proper versioned
>library name.
>grep's dependencies are especially broken:
>$ cygcheck grep | grep -i intl
>  C:\cygwin\bin\cygintl-3.dll
>requires: bash cygwin libintl1 libpcre0 libintl libiconv2

The setup.hint reflected older, current, and newer versions of grep
(except that I missed libintl3 somehow).  I've modified it to just refer
to the newer.

Would you like to do the honors of moving the other things around as
necessary, Brian?


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]